<template>
  <div>
    <nav aria-label="You are here:" role="navigation">
      <breadcrumb-menu :menu="menu" />
    </nav>
    <h3 class="page-title">
      <a v-if="isSecondaryPage" className="e-button-back" href="/employees">
        &lArr;
      </a>
      <span>{{ rootPathName }}</span>
    </h3>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import BreadcrumbMenu from '@/components/Navbar/BreadcrumbMenu/BreadcrumbMenu.vue'

export default Vue.extend({
  name: 'Breadcrumb',
  components: { BreadcrumbMenu },
  props: {
    rootPathName: {
      type: String,
      default: ''
    },
    menu: {
      type: Array,
      default: () => []
    },
    isSecondaryPage: {
      type: Boolean,
      default: false
    }
  }
})
</script>

<style>
.e-button-back {
  color: #cacaca;
  font-size: 0.7em;
}
.page-title {
  font-weight: 200;
  font-size: 1.9375rem;
  margin-bottom: 0.5rem;
  position: absolute;
}
</style>
